Bug 13759 - locale support broken
locale support broken
Product: Red Hat Linux
Classification: Retired
Component: openssl (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Depends On:
  Show dependency treegraph
Reported: 2000-07-11 18:22 EDT by Enrico Scholz
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-07-11 18:22:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2000-07-11 18:22:11 EDT
Perhaps this bug is related with glibc but I have seen it at openssl and
programs linked
against it only:

While building the openssl from the src.rpm the key verification hangs also
(it times out then) when LANG=de_DE. The same hanging occurs in programs
linked against openssl.

A workaround is to set LANG=C


$ gdb fetchmail  # was compiled with ssl support
(gdb) r -vv
Starting program: /usr/bin/fetchmail -vv

Starting program: /usr/bin/fetchmail -vv
(no debugging symbols found)...(no debugging symbols found)
[ ctrl-c ]
Program received signal SIGINT, Interrupt.
0x4033cc67 in gconv () from /usr/lib/gconv/ISO8859-1.so
(gdb) bt
#0  0x4033cc67 in gconv () from /usr/lib/gconv/ISO8859-1.so
#1  0x40229dbe in __gconv (cd=0x80987f8, inbuf=0xbfffb378, 
    inbufend=0x40335784 "Kein NIS+-Namespace gefunden", outbuf=0xbfffb370, 
    outbufend=0x4351eee8 <Address 0x4351eee8 out of bounds>,
irreversible=0xbfffb374) at gconv.c:60
#2  0x402342d6 in _nl_find_msg (domain_file=0x80987f8, msgid=0x40306d12 "No
such process", index=0)
    at dcigettext.c:823
#3  0x40233dd3 in __dcigettext (domainname=0x4030388c "libc",
msgid1=0x40306d12 "No such process", 
    msgid2=0x0, plural=0, n=0, category=5) at dcigettext.c:594
#4  0x40233459 in __dcgettext (domainname=0x4030388c "libc",
msgid=0x40306d12 "No such process", 
    category=5) at dcgettext.c:53
#5  0x40281e7a in __strerror_r (errnum=3, buf=0x40313720 "", buflen=1024)
    at ../sysdeps/generic/_strerror.c:68
#6  0x40281d6f in strerror (errnum=3) at strerror.c:30
#7  0x40192c07 in build_SYS_str_reasons () from /usr/lib/libcrypto.so.0
#8  0x40192d8d in ERR_load_ERR_strings () from /usr/lib/libcrypto.so.0
#9  0x40192e34 in ERR_load_strings () from /usr/lib/libcrypto.so.0
#10 0x401b5453 in ERR_load_ASN1_strings () from /usr/lib/libcrypto.so.0
#11 0x40193b53 in ERR_load_crypto_strings () from /usr/lib/libcrypto.so.0
#12 0x4012a960 in SSL_load_error_strings () from /usr/lib/libssl.so.0
#13 0x804f08f in strcpy ()
#14 0x805c250 in strcpy ()
#15 0x805d697 in strcpy ()
#16 0x8052a0b in strcpy ()
#17 0x8055f93 in strcpy ()
#18 0x8053e5c in strcpy ()
#19 0x40228fd3 in __libc_start_main (main=0x8052eb0 <strcpy+32524>, argc=2,
    init=0x804a474 <_init>, fini=0x806a194 <_fini>, rtld_fini=0x4000c8e0
    stack_end=0xbffff94c) at ../sysdeps/generic/libc-start.c:101
Comment 1 Enrico Scholz 2000-07-21 08:35:02 EDT
Fixed in beta4

Note You need to log in before you can comment on or make changes to this bug.